package net.moonleay.gimble.client.keybindings.impl.editormodemodifier

import net.minecraft.client.MinecraftClient
import net.minecraft.client.option.KeyBinding
import net.moonleay.gimble.client.editor.ClientEditor
import net.moonleay.gimble.client.keybindings.impl.GimbleShortcut
import net.moonleay.gimble.editor.state.mode.ModeModifier

class ToggleNoClipModifierShortcut(key: KeyBinding): GimbleShortcut(key) {
    override fun onPressed(client: MinecraftClient) {
        ClientEditor.toggleModifier(ModeModifier.NO_CLIP)
    }
}
